Bug 698535 - Firefox geolocation highly inaccurate (not sending wifi information?)
Summary: Firefox geolocation highly inaccurate (not sending wifi information?)
Keywords:
Status: CLOSED DUPLICATE of bug 1063739
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 20
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-21 07:41 UTC by Sitsofe Wheeler
Modified: 2018-04-11 08:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-16 11:51:36 UTC


Attachments (Terms of Use)
geolocation with the Fedora packaged Firefox (1.92 MB, image/png)
2011-05-03 23:27 UTC, Matěj Cepl
no flags Details
geolocation with the upstream Firefox binary (471.11 KB, image/png)
2011-05-03 23:29 UTC, Matěj Cepl
no flags Details


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 499666 None None None Never

Description Sitsofe Wheeler 2011-04-21 07:41:17 UTC
Description of problem:
The geolocation feature seems to only be based off my IP address when using the Firefox on the F15 Beta iso. As service using this feature think I'm in the wrong place... 

Version-Release number of selected component (if applicable):
firefox-4.0-2.fc15.i686

How reproducible:
Reproducible every time.

Steps to Reproduce:
1. Start firefox .
2. Go to http://maps.google.com
3. Click the circle above the yellow man.
4. When asked, click the Share Location button.
  
Actual results:
Google maps goes to the wrong location.

Expected results:
Google maps to go to the right location and to print a blue circle too.

Additional info:
This problem does not occur with a Firefox 4 downloaded from the Mozilla website or with Google Chrome downloaded from Google. It is as if the wifi access point data is not being shared...

Comment 1 Matěj Cepl 2011-05-03 23:27:50 UTC
Created attachment 496664 [details]
geolocation with the Fedora packaged Firefox

Comment 2 Matěj Cepl 2011-05-03 23:29:23 UTC
Created attachment 496665 [details]
geolocation with the upstream Firefox binary

So, yes I can fully reproduce (for stalkers among us ... no, it isn't exact location, but it is WAY better than our Firefox).

Comment 3 Sitsofe Wheeler 2011-06-25 13:08:15 UTC
Still here in firefox-5.0-1.fc15.x86_64 and if anything, this looks like it has regressed further. Google Maps is now saying "Your location could not be determined.". Chromium is fine.

Comment 4 Elad Alfassa 2011-09-22 09:43:41 UTC
Probably because our firefox is compiled with --disable-necko-wifi
I wonder what is the reason for disabling this component.
I will investigate further later today.

Comment 5 Sitsofe Wheeler 2011-09-22 15:57:11 UTC
The change was originally made back in 2009 in http://pkgs.fedoraproject.org/gitweb/?p=firefox.git;a=commit;h=cd934b2350c049d5436e4a0a5f280b06a974f778 . caillon informs me that iwlib scanning can interfere with NetworkManager scanning so that is what led to firefox in Fedora being compiled without wifi geolocation support. An upstream bug ( https://bugzilla.mozilla.org/show_bug.cgi?id=499666 ) debates the merits of using NetworkManager for AP info but boils down to "what about users with NetworkManager installed but who aren't using it and those users with wifi but no NetworkManager". The latter would include MeeGo users who are using ConnMan ( http://gitorious.org/connman/mainline/trees/master/doc ) I guess.

For what it's worth, Chromium uses NetworkManager via DBus: http://git.chromium.org/gitweb/?p=chromium.git;a=blob;f=content/browser/geolocation/wifi_data_provider_linux.cc .

Comment 6 Martin Stransky 2011-12-07 11:23:03 UTC
Yeah, this one is definitely about https://bugzilla.mozilla.org/show_bug.cgi?id=499666 because libiw does not work well with firefox (unless you're root).

Comment 7 Fedora End Of Life 2013-01-16 17:38:45 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Elad Alfassa 2013-01-16 20:24:20 UTC
Still a problem, until someone fixes it upstream. Changing to rawhide to make sure this is not closed on F16 EOL

Comment 9 Fedora End Of Life 2013-04-03 17:42:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 10 Sitsofe Wheeler 2014-01-09 13:56:58 UTC
Still here on Fedora 20.

Comment 11 Sitsofe Wheeler 2014-06-16 11:50:02 UTC
Has this issue been quietly solved (changelog for firefox says:
* Tue May 20 13:00:00 2014 Martin Stransky <stransky@redhat.com> - 29.0.1-4
- Enabled necko-wifi
) thanks to #1063739 and this report ignored?

Comment 12 Martin Stransky 2014-06-16 11:51:36 UTC
No, it does not help. See Bug 1063739.

*** This bug has been marked as a duplicate of bug 1063739 ***


Note You need to log in before you can comment on or make changes to this bug.